## LassoIdWsf2DstRefQueryResponse

LassoIdWsf2DstRefQueryResponse — <dstref:QueryResponse>

## Functions

LassoIdWsf2DstRefQueryResponse * | lasso_idwsf2_dstref_query_response_new ()

## Types and Values

struct | LassoIdWsf2DstRefQueryResponse

## Description

Figure 183. Schema fragment for dstref:QueryResponse

    <xs:complexType name="QueryResponseType">
      <xs:complexContent>
        <xs:extension base="dst:DataResponseBaseType">
          <xs:sequence>
            <xs:element ref="dst:TestResult" minOccurs="0" maxOccurs="unbounded"/>
            <xs:element ref="dstref:Data" minOccurs="0" maxOccurs="unbounded"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_dstref_query_response_new ()

    LassoIdWsf2DstRefQueryResponse *
    lasso_idwsf2_dstref_query_response_new
                                   (void);

Creates a new LassoIdWsf2DstRefQueryResponse object.

#### Returns

a newly created LassoIdWsf2DstRefQueryResponse object

## Types and Values

### struct LassoIdWsf2DstRefQueryResponse

    struct LassoIdWsf2DstRefQueryResponse {
    	LassoIdWsf2DstDataResponseBase parent;

    	/* elements */
    	GList *TestResult; /* of LassoNode */
    	GList *Data; /* of LassoIdWsf2DstRefData */
    };